## ruby3.3 3.3.4

=== debian/changelog ===
ruby3.3 (3.3.4-2ubuntu5.1) oracular-security; urgency=medium

  * SECURITY UPDATE: denial of service in REXML
    - debian/patches/CVE-2024-41946.patch: Add support for XML entity
      expansion limitation in SAX and pull parsers
    - debian/patches/CVE-2024-49761.patch: fix a bug that &#0x...; is
      accepted as a character reference
    - CVE-2024-41946
    - CVE-2024-49761

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 25 Oct 2024 15:54:53 +0530

ruby3.3 (3.3.4-2ubuntu5) oracular; urgency=medium

  * d/control: add runtime dependency on ruby-sdbm to libruby3.3 again.
    The circular dependency issue was fixed in all architectures now,
    including i386.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Aug 2024 19:45:41 -0300

ruby3.3 (3.3.4-2ubuntu4) oracular; urgency=medium

  * d/control: do not runtime depend on ruby-sdbm again.
    The circular dependency issue was not solved on i386.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Aug 2024 16:54:01 -0300

ruby3.3 (3.3.4-2ubuntu3) oracular; urgency=medium

  * d/control: add runtime dependency on ruby-sdbm to libruby3.3 again.
    The circular dependency issue was fixed, ruby-sdbm was built against
    libruby3.3.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 16:36:09 -0300

ruby3.3 (3.3.4-2ubuntu2) oracular; urgency=medium

  * d/control: do not runtime depend on ruby-sdbm.
    libruby3.3 depends on ruby-sdbm and now (with the ruby 3.3 transition)
    ruby-sdbm depends on libruby < 3.3 but only 3.3 is going to be installed.
    This dependency will be re-added once ruby-sdbm is rebuilt against
    libruby3.3.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 13:31:34 -0300

ruby3.3 (3.3.4-2ubuntu1) oracular; urgency=medium

  * d/t/excludes/ppc64el: skip TCP test segfaulting in ppc64el.
  * d/rules: remove DEB_BUILD_OPTIONS=abi=time64.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 15 Aug 2024 14:36:07 -0300

ruby3.3 (3.3.4-2) unstable; urgency=medium

  * d/libruby3.3.symbols: fix FTBFS in armel and loong64 (Closes: #1074300).

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 09 Jul 2024 21:52:32 -0300

ruby3.3 (3.3.4-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: update Files-Excluded.
  * d/libruby3.3.symbols: update for new version.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 08 Jul 2024 23:15:51 -0300

ruby3.3 (3.3.1-6) unstable; urgency=medium

  * d/t/excludes/autopkgtest/TestISeq.rb: skip test_parent_iseq_mark, it is
    timing out in riscv64.
  * d/libruby3.3.symbols: fix FTBFS in mips64el and armhf.

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 06 Jul 2024 00:16:21 -0300

ruby3.3 (3.3.1-5) unstable; urgency=medium

  * d/t/skiplist: add test files using require '-test-/*'.
  * d/p/Fix-require-calls-falling-in-autopkgtest.patch: fix the run-all DEP-8
    test.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 02 Jul 2024 21:55:52 -0300

ruby3.3 (3.3.1-4) unstable; urgency=medium

  * d/tests/excludes/autopkgtest/*: skip some tests for now.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 27 Jun 2024 01:13:36 -0300

ruby3.3 (3.3.1-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * d/p/Do-not-pass-m32-to-arm-32-bits.patch: update patch to drop -m32 on
    arm*.

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 12 Jun 2024 17:16:55 -0300

ruby3.3 (3.3.1-2) unstable; urgency=medium

  * d/libruby3.3.symbols: fix symbols for i386 and mips64el.
  * d/p/Do-not-pass-m32-to-arm-32-bits.patch: fix FTBFS in armhf and armel.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 10 Jun 2024 20:24:07 -0300

ruby3.3 (3.3.1-1) unstable; urgency=medium

  * Ruby 3.3
  * New upstream version 3.3.1.
  * d/patches: refresh patches and remove the ones applied by upstream.
  * Declare compliance with Debian Policy 4.7.0.
  * d/t/excludes/any/TestGemCommandsUpdateCommand.rb: skip new test trying
    to execute system comamnds.
  * d/libruby3.3.symbols: update to version 3.3.1.
  * d/s/lintian-overrides: update it to new version of net-imap.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 06 May 2024 17:59:58 -0300

ruby3.2 (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3
  * d/rules: add DEB_BUILD_OPTIONS=abi=time64
  * d/s/lintian-overrides: update version of net-imap

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 30 Jan 2024 19:28:07 -0300

ruby3.2 (3.2.2-1~exp1) experimental; urgency=medium

  * Ruby 3.2
  * New upstream version 3.2.2
  * Remove patches applied by upstream
  * Refresh patches
  * Skip some new tests
  * Update symbols file
  * Skip some tests failing during autopkgtest time
  * d/libruby3.2.symbols: mark strlcat strlcpy as optional, since they are now
    part of glibc.
  * d/s/lintian-overrides: add license-problem-non-free-RFC error in inet-imap
    gem. This seems to be a false positive.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 12 Dec 2023 18:04:26 -0300

ruby3.1 (3.1.2-8) unstable; urgency=medium

  * d/p/Fix-splitting-relative-URI.patch: import upstream patch to fix URI
    splitting.
  * d/libruby3.1.symbols: Mark strlcat strlcpy as optional, they are now part
    of glibc.

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 08 Dec 2023 16:42:15 -0300

ruby3.1 (3.1.2-7) unstable; urgency=medium

  * Upload to unstable

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 25 Mar 2023 14:20:34 -0300

ruby3.1 (3.1.2-7~exp) experimental; urgency=medium

  * Update openssl extension to to 3.0.1 (Closes: #1032070)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 05 Mar 2023 17:13:36 -0300

ruby3.1 (3.1.2-6) unstable; urgency=medium

  * Add missing dependencies for pkg-config test

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 26 Jan 2023 09:34:07 -0300

ruby3.1 (3.1.2-5) unstable; urgency=medium

  * Add autopkgtest to test pkg_config
  * Add build dependency on pkg-config from pkgconf.
    The absence of this build dependency made the check for whether

