## ruby3.3 3.3.5

=== debian/changelog ===
ruby3.3 (3.3.5-2) unstable; urgency=medium

  * debian/rules: Simplify special case for riscv64
  * debian/rules: explicitly disable YJIT.
    YJIT require a Rust toolchain. I'm not sure we want to avoid it just
    because Rust, but at the moment I suspect that this will make
    bootstrapping Ruby a lot harder.
  * debian/libruby3.3.symbols: revert addition of YJIT symbols

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 08 Sep 2024 17:13:21 -0300

ruby3.3 (3.3.5-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream version 3.3.5
    - Includes an updated rexml, fixing [CVE-2024-39908]
      (Closes: #1076766)
  * debian/genprovides: move list of rejected provides to an external file
  * Drop packages that are available standalone from Provides:
    - base64
    - csv
    - did_you_mean
    - ipaddr
    - json
    - minitest
    - power_assert
    - psych
    - test-unit
    Their files are still shipped, but as far as dependency resolution is
    concerned, the versions bundled with the Ruby interpreter won't be used
    anymore.
  * Refresh patches
  * Update symbols file with new symbols
  * debian/source/lintian-overrides: update override to match false-positive
  * debian/rules: prevent installation of lock files into /usr/bin

  [ Samuel Thibault ]
  * Don't override DEB_BUILD_OPTIONS; append instead (Closes: #1079459)

  [ Colin Watson ]
  * Deduplicate results from getaddrinfo (Closes: #1077462)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 07 Sep 2024 21:36:05 -0300
