## ruby3.3 3.3.6

=== debian/changelog ===
ruby3.3 (3.3.6-1.1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2093214). Remaining changes:
    - d/rules: remove DEB_BUILD_OPTIONS=abi=time64.
  * Dropped changes:
    - debian/patches/CVE-2024-41946.patch,
      debian/patches/CVE-2024-49761.patch: fixes included in upstream
      Ruby 3.3.6 release.
    - d/t/excludes/ppc64el: skip TCP test segfaulting in ppc64el: This
      issue is fixed with the new patches introduced below.
    - fix testsuite for openssl 3.4: included in the Debian NMU upload
      version 3.3.6-1.1.
  * New changes:
    - d/p/1001-fix-ensure-stack-memory-corruption.patch: add a patch to fix
      "ensure" structure stack memory use-after-free errors.
    - d/p/1002-ppc64le-fix-fiber-corruption.patch: add a patch to fix
      conditional registers getting clobbered on ppc64el during the
      Ruby fiber switching.

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 07 Jan 2025 13:05:54 -0700

ruby3.3 (3.3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix test failures with OpenSSL 3.4 (Closes: #1087954).
  * Skip test_bundled_ca, it access internet (Closes: #1091505).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 10 Jan 2025 21:56:50 +0100

ruby3.3 (3.3.6-1) unstable; urgency=medium

  [ Sylvain Beucler ]
  * Drop unused debian/source/local-options:single-debian-patch

  [ Antonio Terceiro ]
  * debian/rules: drop special case for riscv64
  * debian/rules: stop explicitly setting HOME
  * lintian: override error caused by limitation of dh_strip
  * debian/source/lintian-overrides: use wildcards
  * tests: exclude test that might fail on some timezones
  * debian/source/lintian-overrides: re-add license-problem-non-free-RFC-BCP78

  [ Lucas Kanashiro ]
  * New upstream version 3.3.6

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 27 Dec 2024 17:16:27 -0300

ruby3.3 (3.3.4-2ubuntu7) plucky; urgency=medium

  * fix testsuite for openssl 3.4

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 10 Dec 2024 12:17:22 +0100

ruby3.3 (3.3.4-2ubuntu6) plucky; urgency=medium

  * SECURITY UPDATE: denial of service in REXML
    - debian/patches/CVE-2024-41946.patch: Add support for XML entity
      expansion limitation in SAX and pull parsers
    - debian/patches/CVE-2024-49761.patch: fix a bug that &#0x...; is
      accepted as a character reference
    - CVE-2024-41946
    - CVE-2024-49761

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 25 Oct 2024 15:59:37 +0530
