=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 export DH_OPTIONS
 TESTOPTS += -v
 export TESTOPTS
-
-DEB_BUILD_OPTIONS += abi=time64
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -78,11 +76,6 @@
 # Requires Rust
 configure_options += --disable-yjit
 
-configure := ./configure
-ifeq (riscv64,$(DEB_HOST_ARCH))
-	configure := LIBS="-latomic" $(configure)
-endif
-
 # For more info see #999351
 ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
 export DEB_CFLAGS_MAINT_APPEND += -O1
@@ -93,8 +86,6 @@
 export DEB_CFLAGS_MAINT_APPEND += -fno-crossjumping
 endif
 
-# Some tests rely on $HOME
-export HOME := $(shell mktemp -d)
 export LANG := C.UTF-8
 export LC_ALL := $(LANG)
 
@@ -104,7 +95,7 @@
 override_dh_auto_configure:
 	cp /usr/share/misc/config.guess tool
 	cp /usr/share/misc/config.sub tool
-	$(configure) $(configure_options)
+	./configure $(configure_options)
 
 override_dh_auto_clean:
 	$(MAKE) clean || true
@@ -183,3 +174,6 @@
 	find $(CURDIR)/debian/ruby$(RUBY_VERSION)/usr/bin -name \*.lock -delete
 
 override_dh_gencontrol:
+	./debian/genprovides $(CURDIR)/debian/libruby$(RUBY_VERSION)/usr/lib/ruby/gems/$(RUBY_API_VERSION)/specifications/ \
+		>> debian/libruby$(RUBY_VERSION).substvars
+	dh_gencontrol
