=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ruby3.3
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
@@ -61,9 +60,9 @@
          ruby-test-unit (>= 3.3.8~),
          ruby-xmlrpc (>= 0.3.3~),
          ruby-webrick (>= 1.7.0-4~),
-         ruby-sdbm (>= 1.0.0-3~),
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ruby-sdbm (>= 1.0.0-3~)
 Provides: ${libruby:Provides}
 Description: Libraries necessary to run Ruby 3.3
  Ruby is the interpreted scripting language for quick and easy
