=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ruby3.3
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
@@ -54,12 +55,12 @@
 Multi-Arch: same
 Architecture: any
 Depends: rake (>= 10.4.2),
-         ruby-did-you-mean (>= 1.0),
-         ruby-minitest (>= 5.4),
+         ruby-csv (>= 3.3.3),
+         ruby-did-you-mean (>= 1.6.3-2~),
          ruby-net-telnet (>= 0.1.1),
-         ruby-test-unit (>= 3.3.8~),
+         ruby-ruby2-keywords (>= 0.0.5-1~),
          ruby-xmlrpc (>= 0.3.3~),
-         ruby-webrick (>= 1.7.0-4~),
+         ruby-webrick (>= 1.9),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ruby-sdbm (>= 1.0.0-3~)
