=== debian/rules ===
--- 
+++ 
@@ -88,6 +88,11 @@
 export DEB_CFLAGS_MAINT_APPEND += -fno-crossjumping
 endif
 
+# See: Fix FTBFS on arm64 https://bugzilla.redhat.com/show_bug.cgi?id=2343981
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+export DEB_CFLAGS_MAINT_APPEND += -Wl,-z,gcs-report-dynamic=none
+endif
+
 export LANG := C.UTF-8
 export LC_ALL := $(LANG)
 
@@ -127,7 +132,7 @@
 	# dpkg-source does not allow empty file creation via patch file.
 	# This is needed by openssl 3.0.0
 	touch $(CURDIR)/test/openssl/fixtures/pkey/empty.pem
-	#$(MAKE) $(TEST_TARGETS) V=1 RUBY_TESTOPTS=-v TESTS="$(excludes)" OPENSSL_CONF=$(CURDIR)/debian/openssl.cnf
+	$(MAKE) $(TEST_TARGETS) V=1 RUBY_TESTOPTS=-v TESTS="$(excludes)" OPENSSL_CONF=$(CURDIR)/debian/openssl.cnf
 endif
 
 override_dh_auto_install-arch:
@@ -176,6 +181,3 @@
 	find $(CURDIR)/debian/ruby$(RUBY_VERSION)/usr/bin -name \*.lock -delete
 
 override_dh_gencontrol:
-	./debian/genprovides $(CURDIR)/debian/libruby$(RUBY_VERSION)/usr/lib/ruby/gems/$(RUBY_API_VERSION)/specifications/ \
-		>> debian/libruby$(RUBY_VERSION).substvars
-	dh_gencontrol
